Name:		tlpi
Version:	220211
Release:	1%{?dist}
Summary:	Utilities to display namespaces and control groups

License:	GPLv3+
URL:		https://man7.org/tlpi/index.html
Source:		https://man7.org/tlpi/code/download/tlpi-%version-dist.tar.gz

BuildRequires:	gcc-go

%description
The book The Linux Programming Interface and training courses given by
man7.org are accompanied with a set of code examples. Some of these
examples are useful in their own right. This package includes the
following utilities.
- pid_namespaces  Show the PID namespace hierarchy.
- namespace_of	  Show the namespace memberships of one or more processes
		  in the context of the user or PID namespace
		  hierarchy. See the bundled source code for further
		  documentation.
- userns_overview Display a hierarchical view of the user namespaces
		  on the system along with the member processes for
		  each namespace.
- view_v2_cgroups Display one or more subtrees in the cgroups v2
		  hierarchy. The following info is displayed for each
		  cgroup: the cgroup type, the controllers enabled in
		  the cgroup, and the process and thread members of
		  the cgroup.


%prep
%setup -q -n tlpi-dist


%build
gccgo -o pid_namespaces namespaces/pid_namespaces.go
gccgo -o namespaces_of namespaces/namespaces_of.go
gccgo -o userns_overview namespaces/userns_overview.go
gccgo -o view_v2_cgroups cgroups/view_v2_cgroups.go


%install
install -D --target-directory=%buildroot%_bindir \
	pid_namespaces namespaces_of userns_overview view_v2_cgroups


%files
%license COPYING.*
%doc namespaces/namespaces_of.go
%_bindir/*


%changelog
* Mon Mar 28 2022 Göran Uddeborg <goeran@uddeborg.se> - 220211-1
- Updated to the most recent release.

* Tue Nov 24 2020 Göran Uddeborg <goeran@uddeborg.se> - 201025-1
- Initial RPM packaging.
